import '../../App.css'
import { Skeleton, Box } from '@mui/material';
import React from 'react'
const big_as = 70

function Asignaciones(props) {
  let { asign } = props;
  let { cattest } = asign;
  // console.log(cattest)
  return (
    <tr>
      <td className="tg-0lax">{cattest.decription}</td>
    </tr>
  )
}

function TableUser(props) {
  let { user } = props;
  let { asignaciones, candi } = user
  console.log(asignaciones)
  return (
    <tr>
      <td className="tg-0lax">{candi.nombre + " " + candi.apellidos}</td>
      <td className="tg-0lax">
        <table className="tg">
          <tbody>
            {
              asignaciones.map(a => <Asignaciones key={a.id} asign={a} />)
            }
          </tbody>
        </table>

      </td>
    </tr>
  )
}

export function Candidato(props) {
  // console.log("USER: ", props.user)
  let { password, candidatos } = props.user

  return (
    <div className="data_candidato">
      <div className="row">
        <div className="col20">
          <p>{password}</p>
        </div>
        <div className="col20">

          <table className="tg">
            <thead>
              <tr>
                <th className="tg-0lax">Nombre</th>
                <th className="tg-0lax">Asignaciones</th>
              </tr>
            </thead>
            <tbody>
              {
                candidatos.map(u => <TableUser key={u.candi.id} user={u} />)
              }
            </tbody>
          </table>


        </div>
      </div>
    </div>
  )
}

export function Preview() {
  return (
    <Box sx={{ width: '100%' }}>
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
    </Box>
  )
}
